<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Result](./bitburner.result.md)

## Result type


**Signature:**

```typescript
type Result<T extends object = object> = SuccessResult<T> | FailureResult;
```
**References:** [SuccessResult](./bitburner.successresult.md)<!-- -->, [FailureResult](./bitburner.failureresult.md)

